diff --git a/apt-file b/apt-file
index fdab342..102b4dd 100755
--- a/apt-file
+++ b/apt-file
@@ -365,6 +365,7 @@ sub do_grep($$) {
 
     foreach (@$data) {
         my $file = find_newest($_->{dest}) or next;
+        my $dist = $Conf->{suite} ? "$_->{dist} " : "";
 
         # Skip already searched files:
         next if $seen{$file}++;
@@ -387,8 +388,8 @@ sub do_grep($$) {
             debug_line ".";
             foreach ( split /,/, $pkgs ) {
 
-                # Put leading slash on file name
-                push @{ $ret->{"/$fname"} }, basename $_;
+                # Add Suite and leading slash on file name
+                push @{ $ret->{"$dist/$fname"} }, basename $_;
             }
         }
         close ZCAT;
@@ -557,6 +558,7 @@ Configuration options:
     --package-only     -l               Only display packages name
     --regexp           -x               pattern is a regular expression
     --sources-list     -s  <file>       sources.list location
+    --suite            -S               Show suite where the match was found
     --verbose          -v               run in verbose mode
     --help             -h               Show this help.
                        --               End of options (neccessary if pattern
@@ -573,6 +575,7 @@ EOF
 
 sub get_options() {
     my %options = (
+        "suite|S"           => \$Conf->{suite},
         "sources-list|s=s"  => \$Conf->{sources_list},
         "cache|c=s"         => \$Conf->{cache},
         "architecture|a=s"  => \$Conf->{arch},
diff --git a/apt-file.1.sgml b/apt-file.1.sgml
index 4411124..9857552 100644
--- a/apt-file.1.sgml
+++ b/apt-file.1.sgml
@@ -264,6 +264,17 @@ Use <literal>cdrom-mount-point</literal> instead of
 
       <varlistentry>
 	<term>
+	  <option>-S, --suite</option>
+	</term>
+	<listitem>
+	  <para>
+	   Show suite where the match was found or list the package on all suites found
+	  </para>
+	</listitem>
+      </varlistentry>
+
+      <varlistentry>
+	<term>
 	  <option>-v, --verbose</option>
 	</term>
 	<listitem>
